aboutsummaryrefslogtreecommitdiffstats
path: root/community/libcec/APKBUILD
diff options
context:
space:
mode:
authorRóbert Nagy <vrnagy@gmail.com>2017-03-24 14:23:58 +0100
committerRóbert Nagy <vrnagy@gmail.com>2017-03-24 14:23:58 +0100
commit3c8b6e822ea7f72eb80f706ef902cfa2a81b181d (patch)
tree3c412ebbd54b6edf61d36f4df897df0eeef323ab /community/libcec/APKBUILD
parent733a4d5f57a9a274f75640259bbcef48e4e8ecfa (diff)
downloadaports-3c8b6e822ea7f72eb80f706ef902cfa2a81b181d.tar.gz
aports-3c8b6e822ea7f72eb80f706ef902cfa2a81b181d.tar.bz2
aports-3c8b6e822ea7f72eb80f706ef902cfa2a81b181d.tar.xz
community/libcec: update to 4.0.2
Diffstat (limited to 'community/libcec/APKBUILD')
-rw-r--r--community/libcec/APKBUILD59
1 files changed, 21 insertions, 38 deletions
diff --git a/community/libcec/APKBUILD b/community/libcec/APKBUILD
index cd5a368457..83a7d72ae0 100644
--- a/community/libcec/APKBUILD
+++ b/community/libcec/APKBUILD
@@ -1,54 +1,37 @@
-# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Contributor: Róbert Nagy <vrnagy@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libcec
-pkgver=2.2.0
-pkgrel=2
+pkgver=4.0.2
+pkgrel=0
pkgdesc="libcec for the Pulse-Eight USB-CEC adapter"
url="https://github.com/Pulse-Eight/libcec"
arch="all"
license="GPL"
-depends=""
-depends_dev="lockdev-dev eudev-dev"
-makedepends="$depends_dev autoconf automake libtool"
+depends="eudev p8-platform"
+depends_dev="eudev-dev p8-platform-dev python3-dev libxrandr-dev swig"
+makedepends="$depends_dev cmake automake"
install=""
subpackages="$pkgname-dev"
-source="http://github.com/Pulse-Eight/libcec/archive/libcec-$pkgver.tar.gz
- musl-fix.patch
- "
+source="http://github.com/Pulse-Eight/libcec/archive/libcec-$pkgver.tar.gz"
-_builddir="$srcdir"/libcec-libcec-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
- ./bootstrap || return 1
-}
+builddir="$srcdir"/libcec-libcec-$pkgver
build() {
- cd "$_builddir"
- ./configure \
- --build=$CBUILD \
- --host=$CHOST \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --localstatedir=/var \
- || return 1
+ mkdir "$builddir/build"
+ cd "$builddir/build"
+ cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_PREFIX=/usr .. || return 1
+ make || return 1
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
+ cd "$builddir/build"
+ make DESTDIR="$pkgdir" install || return 1
+
+ # Add cec directory to sys.path to get rid of issue https://github.com/Pulse-Eight/libcec/issues/316
+ python_dir=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
+ echo "cec" > "${pkgdir}${python_dir}/cec.pth"
}
-md5sums="006df0d807d4b72bc6859e592c7a70eb libcec-2.2.0.tar.gz
-f735b18f2cb4f75aaa68a15407e233cd musl-fix.patch"
-sha256sums="fd4f47a18d6e0f4b9e6f5831280207ee2b2a5fc2741ae32ae09ad12a8aa52917 libcec-2.2.0.tar.gz
-f64edcdc316ffd0ea4310529bf7ba96072c757182201c382e4f9c791cf8efbe9 musl-fix.patch"
-sha512sums="7932a45e581e207aa651e9fe72450fda52b0441fb48e40e971a530f9d5d26b87e6446322393750d85bae223519dc2a73613352a3fe42939eff2c5f8863a09cd7 libcec-2.2.0.tar.gz
-ca81f243ca7245efbb5bea97209894b37316195ed14ab8687d6cc4d01dd121c16a245d5a95c6554903138f1f3f0a0be8602e8579474e64a618903737e4619136 musl-fix.patch"
+md5sums="47892140fbda566f6a6f944b52eb44fd libcec-4.0.2.tar.gz"
+sha256sums="b8b8dd31f3ebdd5472f03ab7d401600ea0d959b1288b9ca24bf457ef60e2ba27 libcec-4.0.2.tar.gz"
+sha512sums="7bb80965cd1bef713f59bff136dc4a7f1172c4a9bdb8e2f59c6bcc5b74110848c0b2912263280ea68177908a688127e8d7208fc43ce6e65d589343b85395a0bb libcec-4.0.2.tar.gz"